[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit '_crw_fifo' (#crwlib)

# TFifo

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_fifo.pas line 83

`type TFifo = class(TLatch)`
`public`
`constructor Create();`
`destructor Destroy; override;`
`property Name: LongString; [rw]`
`property Tag []: LongWord; [rw]`
`property Count: LongInt; [r]`
`property Space: LongInt; [r]`
`property Size: LongInt; [rw]`
`property GrowFactor: Integer; [rw]`
`property GrowLimit: Integer; [rw]`
`property Lost: Int64; [rw]`
`property Total: Int64; [rw]`
`function Put();`
`function Get();`
`function Puts();`
`function Gets();`
`function PutText();`
`function GetText();`
`procedure Clear;`
`end;`

## Inheritance

`TFifo`
`TLatch`
`TMasterObject`
`TObject`